SET TALK OFF
ERASE
STORE "                     " TO Mcom
DO WHILE T
   @ 10,20 SAY "ENTER COMMAND -> " GET Mcom PICTURE "!!!!!!!!!!!!!!!!!!!!"
   READ
   STORE ! ($(Mcom,1,@(" ",Mcom)-1)) TO Verb
   
   IF Verb = "TYPE";
     .OR. Verb = "DIR";
     .OR. Verb = "SAVE";
     .OR. Verb = "ERA";
     .OR. FILE(Verb+".com")

       DO CASE
       CASE Verb = "TYPE"
          @ 12,22
          @ 12,22 SAY "TYPE crtl-S TO STOP/START SCROLLING."
          WAIT
       CASE Verb = "DIR"
          @ 12,22
          @ 12,22 SAY "TYPE crtl-S TO STOP/START SCROLLING."
          WAIT
       ENDCASE
       ERASE

       STORE TRIM(Mcom) TO TMcom
       QUIT TO "&TMcom","DBASE II"

   ELSE
       @ 12,20
       @ 12,20 SAY "FILE "+Verb+".COM DOES NOT EXIST."

   ENDIF
ENDDO T
